Package net.paulhertz.pixelaudio.example

# Enum Class Bagatelle.PerformancePreset

java.lang.Object
java.lang.Enum<Bagatelle.PerformancePreset>
net.paulhertz.pixelaudio.example.Bagatelle.PerformancePreset

All Implemented Interfaces:
  `Serializable`, `Comparable<Bagatelle.PerformancePreset>`, `Constable`

Enclosing class:
  Bagatelle

static enum Bagatelle.PerformancePreset extends Enum<Bagatelle.PerformancePreset>
Presets are applied to each new brush at the moment drawing is completed by releasing the mouse button and calling makeBrush(), the bottleneck method for all brush creation. Presets are best used just for brush modifications. If you want to change application settings, use runPerformanceCue() with your own custom code. You can address the host application with the `app parameter, but keep in mind that is is called on every brush.`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DURATION_5SEC_SWELL`
  `DYNAMICS_1`
  `GLITCH_CORTO`
  `GLITCH_LARGO`
  `LONG_ECHO`
  `SIXTEENTHS`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) final char`
  `key`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `PerformancePreset(char key)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) abstract Bagatelle.CueResult`
  `apply(GestureGranularConfig.Builder cfg, PACurveMaker curve, Bagatelle app)`
  Abstract method for concrete apply() methods implemented by each enum constant.
  `(package private) static Bagatelle.PerformancePreset`
  `fromKey(char k)`
  `static Bagatelle.PerformancePreset`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Bagatelle.PerformancePreset[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DURATION_5SEC_SWELL

    public static final Bagatelle.PerformancePreset DURATION_5SEC_SWELL

  - ### LONG_ECHO

    public static final Bagatelle.PerformancePreset LONG_ECHO

  - ### GLITCH_CORTO

    public static final Bagatelle.PerformancePreset GLITCH_CORTO

  - ### GLITCH_LARGO

    public static final Bagatelle.PerformancePreset GLITCH_LARGO

  - ### SIXTEENTHS

    public static final Bagatelle.PerformancePreset SIXTEENTHS

  - ### DYNAMICS_1

    public static final Bagatelle.PerformancePreset DYNAMICS_1

- ## Field Details

  - ### key

    final char key

- ## Constructor Details

  - ### PerformancePreset

    private PerformancePreset(char key)

- ## Method Details

  - ### values

    public static Bagatelle.PerformancePreset[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Bagatelle.PerformancePreset valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromKey

    static Bagatelle.PerformancePreset fromKey(char k)

  - ### apply

    abstract Bagatelle.CueResult apply(GestureGranularConfig.Builder cfg, PACurveMaker curve, Bagatelle app)
    Abstract method for concrete apply() methods implemented by each enum constant. In the preset logic, each constant is in effect its own function, which can be invoked by reference.
    Parameters:
      `cfg` - configuration parameters for GestureGranularConfig, used to modify audio synthesis
      `curve` - a PACurveMaker gesture, which can be modifed by the concrete apply() method
      `app` - a reference to the host application, use with caution
    Returns:
      a reference to the concrete apply() method for an enum constant